<?php
/*ARTURO: Codigo para la Creacion de un custom type para ABM de paypals EN HIJO*/
/* 1 Creación del usuario supervisor*/
/*3.- Agregar un listener para paypal checkout*/
/*7.- Crear una page de redireccion (En tema hijo pais)*/


/**
 * 1.- Creación del usuario supervision por una sola vez
 */
function usuariopaypal2(){
	$blog_id = get_current_blog_id();
	$user_id = username_exists('supervision');

	if ( $user_id && ! is_user_member_of_blog( $user_id, $blog_id ) ) {
		//Exist's but is not user of the current blog id
		$result = add_user_to_blog( $blog_id, $user_id, 'shop_supervisor' );
	}
	$user = wp_get_current_user();
	$role = $user->roles;

}// fin funcion usuariopaypal2

add_action( 'admin_init', 'usuariopaypal2' );

/*3.- Agregar un listener para paypal checkout*/

function mi_script1() 
{

	//$sss=get_option('contraPaypal');
	$file1=get_option('filePaypal');
	echo '
	<script type="text/javascript">
		//*woocommerce_ppec_paypal_api_username* es el nombre y id del input que al hacer clic abrirá una ventana emergente vinculada desde donde se seleccionará el paypal.
		var el = document.getElementById("woocommerce_ppec_paypal_api_username");
		el.addEventListener("click", (event) => {
			//listapaypals es el permalink de una pagina que se debe crear y añadir el shortcode [paypals]
			//La pagina debe ser configurada con un template de ancho completo, si no existiere, crear uno en wp-content/themes/nombredeltema/page-templates/nombretemplate.php
			window.open("/country/listapaypals", "Seleccionar paypals", "toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=1,width=700,height=400,left = 890,top = 500");
			}
		);
	</script>';
}

add_action( 'admin_footer', 'mi_script1' );

/*7.- Crear una page de redireccion (En tema hijo pais)*/

function add_the_theme_page(){
    add_menu_page('Paypals', 'Paypals', 'ver_paypals', 'theme-options', 'page_content', 'dashicons-admin-post',27);
}
add_action('admin_menu', 'add_the_theme_page');
function page_content(){
	$opt = get_option( '_invoices_options' );
	$subd=$opt{'subdirectorio'};

	echo '<br><br><h4>El siguiente enlace redirige a la administracion general de paypals del sitio principal de esta tienda.</h4>';
	echo '<div><h2><a href="https://'.$_SERVER['HTTP_HOST'].$subd.'/wp-admin/edit.php?post_type=paypals" target="_blank">Clic aqui para añadir o modificar paypals</a></h2></div>';
	echo '<h4>Tome en cuenta que la tabla de paypals se administra de forma centralizada en la tienda principal.</h4>';
	echo '<h4>La selección de cuenta paypal en las tiendas por pais se realiza de la forma acostumbrada, en woocommerce/Settings/Payments/Paypal Checkout de la tienda, del pais.</h4>';
}
/*FIN DE: Codigo para la Creacion de un custom type para ABM de paypals*/